For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
            • GETList Payment Methods
            • GETList Company Payment Methods
            • PUTUpdate Company Payment Methods
            • GETList Active Payment Methods
            • GETGet Company Credit Status
            • PUTUpdate Company Credit Status
            • GETGet Company-Level Payment Terms
            • PUTUpdate Company-Level Payment Terms
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementPayment

Update Company-Level Payment Terms

PUT
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId/payment-terms
PUT
/api/v3/io/companies/:companyId/payment-terms
$curl -X PUT https://api-b2b.bigcommerce.com/api/v3/io/companies/1/payment-terms \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "isEnabled": true,
> "paymentTerms": 30
>}'
1{
2 "code": 200,
3 "data": {
4 "isEnabled": true,
5 "paymentTerms": 30
6 },
7 "meta": {
8 "message": "Success"
9 }
10}

Updates the Company-level payment terms for the Company specified by companyId. If the value of isEnabled is set to false, the paymentTerms field will be ignored and will default to the store-level value.

Was this page helpful?
Previous

Get Company-Level Payment Terms

Next

Quotes

Built with

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired
The unique numeric ID of the Company assigned by B2B Edition.

Request

This endpoint expects an object.
isEnabledbooleanRequired
Indicates whether payment on terms is available for the specified Company.
paymentTermsenumRequired

The term set for the specified Company. This field takes the store-level default value if isEnabled is false.

Response

SUCCESS
codeintegerDefaults to 200
Operation status code.
dataobject
metaobject

Errors

400
Bad Request Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.